public inbox for lvm2-cvs@sourceware.org
help / color / mirror / Atom feed
From: jbrassow@sourceware.org
To: lvm-devel@redhat.com, lvm2-cvs@sourceware.org
Subject: LVM2 ./WHATS_NEW scripts/cmirrord_init_red_hat.in
Date: Fri, 15 Jan 2010 20:47:00 -0000	[thread overview]
Message-ID: <20100115204753.18844.qmail@sourceware.org> (raw)

CVSROOT:	/cvs/lvm2
Module name:	LVM2
Changes by:	jbrassow@sourceware.org	2010-01-15 20:47:52

Modified files:
	.              : WHATS_NEW 
Added files:
	scripts        : cmirrord_init_red_hat.in 

Log message:
	Initial version of the cmirrord init script
	
	Signed-off-by: Jonathan Brassow <jbrassow@redhat.com>

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/WHATS_NEW.diff?cvsroot=lvm2&r1=1.1393&r2=1.1394
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/scripts/cmirrord_init_red_hat.in.diff?cvsroot=lvm2&r1=NONE&r2=1.1

--- LVM2/WHATS_NEW	2010/01/15 20:24:04	1.1393
+++ LVM2/WHATS_NEW	2010/01/15 20:47:52	1.1394
@@ -1,5 +1,6 @@
 Version 2.02.59 - 
 ===================================
+  Initial version of the cmirror init script (Red Hat).
   Initial version of the cmirrord man page.
   Make cluster log communication structures architecture independant.
   Fix cluster log issues with in-memory bitmaps.
/cvs/lvm2/LVM2/scripts/cmirrord_init_red_hat.in,v  -->  standard output
revision 1.1
--- LVM2/scripts/cmirrord_init_red_hat.in
+++ -	2010-01-15 20:47:53.109405000 +0000
@@ -0,0 +1,104 @@
+#!/bin/bash
+#
+# chkconfig: - 22 78
+# description: Loads/Unloads dm-log-clustered module
+#
+#
+### BEGIN INIT INFO
+# Provides: cmirrord
+# Required-Start:       $network $time
+# Required-Stop:        $network $time
+# Short-Description:    Starts and stops cmirrord
+# Description:          Starts and stops the cluster mirror log daemon
+### END INIT INFO
+
+. /etc/init.d/functions
+
+# set secure PATH
+PATH="/bin:/usr/bin:/sbin:/usr/sbin:/usr/sbin"
+
+start()
+{
+        echo -n "Starting clustered mirror log server:"
+	ps -C cmirrord >& /dev/null || cmirrord >& /dev/null
+
+	rtrn=$?
+        if [ $rtrn -eq 0 ]; then
+                success "startup"
+        else
+                failure "startup"
+        fi
+
+        # need the extra echo to properly terminate the line
+        echo
+        return $rtrn
+}
+
+stop()
+{
+        echo -n "Stopping clustered mirror log server:"
+	killall cmirrord >& /dev/null
+	for ((i=0; $i < 10; i++)); do
+	    if ! ps -C cmirrord >& /dev/null; then
+		break;
+	    fi
+	    sleep 1
+	done
+
+	if [ $i -ge 10 ]; then
+	    failure "shutdown"
+	    echo
+	    return 1
+	else
+	    success "shutdown"
+	fi
+
+	echo
+        return $rtrn
+}
+
+cmirror_status()
+{
+	ps -C cmirrord >& /dev/null
+	if [ $? -ne 0 ]; then
+		echo "Cluster log server is not running.  (Cluster mirrors will not work.)"
+		return 1
+	fi
+
+	return 0
+}
+
+rtrn=1
+
+# See how we were called.
+case "$1" in
+  start)
+        start
+        rtrn=$?
+        ;;
+
+  stop)
+        stop
+        rtrn=$?
+        ;;
+
+  restart)
+        $0 stop
+        $0 start
+        rtrn=$?
+        ;;
+
+  status)
+	cmirror_status
+        rtrn=$?
+	if [ $rtrn -eq 0 ]; then
+		echo "cmirror is running."
+	fi
+        ;;
+
+  *)
+        echo $"Usage: $0 {start|stop|restart|status}"
+        ;;
+esac
+
+exit $rtrn


             reply	other threads:[~2010-01-15 20:47 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2010-01-15 20:47 jbrassow [this message]
2010-01-22 16:19 mbroz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20100115204753.18844.qmail@sourceware.org \
    --to=jbrassow@sourceware.org \
    --cc=lvm-devel@redhat.com \
    --cc=lvm2-cvs@sourceware.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).